Subject: Re: bug#14253: Testsuite failure in gnulib-tests: test programs cannot be built

From: Pádraig Brady <[email-masked]>
Date: Wed, 24 Apr 2013 10:08:47 +0100

On 04/24/2013 09:34 AM, Stefano Lattarini wrote:
> It happens when building from a bootstrapped git checkout, with the
> latest master v8.21-40-g090294b).
> 
> This is the exact error:
> 
>   $ (cd gnulib-tests && make check)
>   ...
>   make[3]: Entering directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
>   CC     localename.o
>   cc1: error: ../intl: No such file or directory [-Werror]
>   cc1: all warnings being treated as errors
>   make[3]: *** [localename.o] Error 1
> 
> Some details that might be helpful:
> 
>   $ (cd gnulib-tests && make check V=1)
>   ...
>   make[3]: Entering directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
>   depbase=`echo localename.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
>   gcc -std=gnu99  -I. -I../lib  -DIN_COREUTILS_GNULIB_TESTS=1 \
>    -I. -I. -I.. -I./.. -I../lib -I./../lib -I../intl  \
>    -W \
...
>    -Werror -g -O2 -MT localename.o -MD -MP -MF $depbase.Tpo -c -o localename.o localename.c &&\
>   mv -f $depbase.Tpo $depbase.Po
>   cc1: error: ../intl: No such file or directory [-Werror]
>   cc1: all warnings being treated as errors

>   $ gcc --version
>   gcc (Debian 4.7.2-5) 4.7.2

Bernhard noticed this also:
http://lists.gnu.org/archive/html/coreutils/2013-03/msg00065.html

CCing gnulib

thanks,
Pádraig.